# Class Configuration#setProperty

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#setProperty(successCallback, errorCallback, options) Sets property.

## Class Detail

Configuration#setProperty(successCallback, errorCallback, options)
Sets property.

    // Javascript code
    function setProperty () {
      var options = '{"alias":"display_1"}';

      function successCb() {
         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.setProperty(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options
  string in JSON format. Refer to Configuration.getProperty for available keys of property(e.g. '{"alias":"display_1"}').

Since:
  1.0
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.